home security systems, business security systems
BernClare Multimedia Inc.
Markham, Ontario, Canada
Tel: 905-513-2722
info@bernclare.com
      business and home security, surveillance equipment     
Software update
GeoVision Security Surveillance product for:
System integrators, installers, dealers, web designers, resellers, IT personnels, users experienced in networks.
Home:
www.remote-security.com
or
www.bernclare.com






Software feature PC requirement FAQ & Support Software update Ordering


gv-1480 gv-1240 gv-1120 geovision video surveillance


Download GeoVision software

Do NOT upgrade your software at random. Software and hardware versions have to match before they can operate. Please consult us for compatibility support before you download a new software. You can also click here to download an utility. It will test your card and advise the latest version you can use.

The latest software is version 8.5 DVR and NVR as of September 2011 that supports Windows 2K, XP, VISTA, Win7 32/64 bits, supports up to 32 cctv and IP cameras from GeoVision, supports multiple brands IP cameras (need license fee for a key-lock), i-phones, Blackberry, Android, cells. Pending on the purchase date of your card, hardware-software version compatibility, and equally as important, your need on new feature, please select the appropriate version of GeoVision application software from this page.





CODEC for version 8.12 to view GeoVision video

Manual Download and install this to view GeoVision files.
Good for MPEG4, H.264, wavelet.



CODEC for version 8.40 to view GeoVision video

Manual Download and install this to view GeoVision files.
Good for MPEG4, H.264, wavelet.



Manual Version 8.5 English Manual

Manual Version 8.4 English Manual

Manual Version 8.3 English Manual

GeoVision version 8.2 Version 8.2 English software, Win 2K, XP, Vista, drivers included. 1.1GB




Upgrade software requirement

1. Version 8.5 software

Check your card version first. Click here to download an utility. This utility will test your card and advise the latest version you can use. Contact us at (905)513-2722 on the s/w upgrade if your cards are purchased from us.

Version 6.5 software can fully utilize "Sandy Bridge" structure especially under GPU mode. It can enhance the system ability to handle much more fps for high Megapixel IP camera, especially under Win7, 64bit.

2. Version 8.4x software

Check your card version first. You may use version 8.4 software if your card (hardware version) is listed below:
  • GV600(S)V3.20 or V4.0 BNC card, V3.21 D-Type card
  • GV650(S)V3.30 or V4.0 BNC card, V3.31 D-Type card
  • GV800(S)V3.30 BNC card, V3.31 D-Type card
  • GV800 4A V3.10
  • GV-1120 all series
  • GV-1240 all series
  • GV-1480 all series
  • GV-2004
  • GV-2008
  • Another way is to click here to download an utility. This utility will test your card and advise the latest version you can use.

If you are using version 8.3 or earlirr s/w, contact us direct. We will support you if you get the cards from us. Call 905-513-2722 at Eastern time office hours.




3. Version 7 software
If your card version has earlier version than above, that card might be able to operate with verison 7.0 software using a dongle (USB key lock). Please contact us for a USB dongle if you do not have one. We need the serial and the model no. of your card for verification. One month lead time is required on every request.




Complete English v7.05 software This is the complete English version 7.05 application s/w for server and remote client. This works only with genuine GeoVision cards
upgraded with the USB key lock. Please check with us
before you use this software. Runs under Windows XP.


Complete French v7.04 software This is the complete French version 7.04 application s/w for server and remote client. This works only with genuine GeoVision cardswith S3 firmware or Geovision
cards updated with the USB key lock.
Please check with us before you use this software.
Runs under Windows XP.





4. Version 6.11 software
If you do not want to use a dongle, but your card has a S1 chip set on it, you can use version 6.11 software. (Please see if there is a small sticker showing S1 or SP on the chip. Boards with S1 works OK with version 6.11, boards with SP sticker has to use lower version.)



Complete English v6.11 software This is the complete English version 6.11 application s/w for server and remote client. This works only with genuine GeoVision cards with S1 firmware. Please check with us
before you use this software. Runs under Windows 2000 or XP.



Complete French v6.1 software This is the complete French version 6.1 application s/w for server and remote client. This works only with genuine GeoVision cards with S1 firmware. Please check with us
before you use this software. Runs under Windows 2000 or XP.





5. Version 6.05 software
If you do not want to use a dongle, but your card has the SP chip set on it, you can use version 6.05 software.



Complete English v6.05 software This is the complete English version 6.05 application s/w for server and client. Runs under Windows 2000 or XP. Works on most GeoVision hardware.




Complete French v6.05 software This is the complete French version 6.05 application s/w for server and client. Runs under Windows 2000 or XP.





6. Brief history
V4.x, V5.1, V5.2, V5.3 software runs under Windows 98, ME, 2000, XP.
V5.301 software supports version 2.08A hardware.
V5.302 software supports hyperthreading CPU.

**** V5.4, v6.x, v7.x v8 s/w runs under Windows 2000/xp only. ****

V5.41 has de-interlacing filters, gain control, mini-display for low bandwidth, supports GV900 and GV1000.
V6.05 provides major feature enhancements, supports POS and supports most old version hardware.
Version 6.1 software runs on cards that has "S1" chip set only.
Version 7.0 requires a USB dongle on ther server computer to get the system working.
Version 8.0 requires cards manufactured in 2005, 2006.





 brochures GeoVision brochure, English version.
Acrobat Reader will prompt you to install "Chinese fonts" although the brochure is in English.
Please do so, else you cannot view the file.






NB 1: Please make sure your PC meets the minimum system requirement before proceeding. Please refer to Product Requirement for detail.
NB 2: Newer version software tends to ask for tighter requirement on the motherboard and on the Video card.



gv800

Home:
www.remote-security.com
or
www.bernclare.com